<?xml version="1.0"?>
  <database name="TABLE REM_REMITTANCELINE_CANCEL">
    <table name="REM_REMITTANCELINE_CANCEL" primaryKey="REM_REMLINE_CANCEL_KEY">
      <column name="REM_REMITTANCELINE_CANCEL_ID" primaryKey="true" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_CLIENT_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_ORG_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ISACTIVE" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="UPDATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="UPDATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="REM_REMITTANCE_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="LINE" primaryKey="false" required="false" type="DECIMAL" size="10,0" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="DATEACCT" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="FIN_PAYMENT_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="POSTED" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault/>
      </column>
      <column name="PROCESSED" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault/>
      </column>
      <column name="PROCESSING" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault/>
      </column>
      <column name="UNDO" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault/>
      </column>
      <foreign-key foreignTable="AD_CLIENT" name="REM_REMLINECANCEL_AD_CLIENT">
        <reference local="AD_CLIENT_ID" foreign="AD_CLIENT_ID"/>
      </foreign-key>
      <foreign-key foreignTable="AD_ORG" name="REM_REMLINECANCEL_AD_ORG">
        <reference local="AD_ORG_ID" foreign="AD_ORG_ID"/>
      </foreign-key>
      <foreign-key foreignTable="FIN_PAYMENT" name="REM_REMLINECANCEL_FINPAYMENT">
        <reference local="FIN_PAYMENT_ID" foreign="FIN_PAYMENT_ID"/>
      </foreign-key>
      <foreign-key foreignTable="REM_REMITTANCE" name="REM_REMLINECANCEL_REMITTANCE">
        <reference local="REM_REMITTANCE_ID" foreign="REM_REMITTANCE_ID"/>
      </foreign-key>
      <index name="REM_REMITLINECANCEL_REMIT" unique="false">
        <index-column name="REM_REMITTANCE_ID"/>
      </index>
      <check name="REM_REMLINECAN_ACTIVE_CHK"><![CDATA[ISACTIVE IN ('Y', 'N')]]></check>
      <check name="REM_REMLINECAN_PROCESSED_CHK"><![CDATA[PROCESSED IN ('Y', 'N')]]></check>
      <check name="REM_REMLINECAN_PROCESSING_CHK"><![CDATA[PROCESSING IN ('Y', 'N')]]></check>
      <check name="REM_REMLINECAN_UNDO_CHK"><![CDATA[UNDO IN ('Y', 'N')]]></check>
    </table>
  </database>
